/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ConfigRateLimitSettings {
    #[serde(rename = "Enable", skip_serializing_if = "Option::is_none")]
    pub enable: Option<bool>,
    #[serde(rename = "PerSec", skip_serializing_if = "Option::is_none")]
    pub per_sec: Option<i32>,
    #[serde(rename = "MaxBurst", skip_serializing_if = "Option::is_none")]
    pub max_burst: Option<i32>,
    #[serde(rename = "MemoryStoreSize", skip_serializing_if = "Option::is_none")]
    pub memory_store_size: Option<i32>,
    #[serde(rename = "VaryByRemoteAddr", skip_serializing_if = "Option::is_none")]
    pub vary_by_remote_addr: Option<bool>,
    #[serde(rename = "VaryByHeader", skip_serializing_if = "Option::is_none")]
    pub vary_by_header: Option<String>,
}

impl ConfigRateLimitSettings {
    pub fn new() -> ConfigRateLimitSettings {
        ConfigRateLimitSettings {
            enable: None,
            per_sec: None,
            max_burst: None,
            memory_store_size: None,
            vary_by_remote_addr: None,
            vary_by_header: None,
        }
    }
}
